Bug 1316144 - Resource adapter salesforce-34 has wrong slot configured
Resource adapter salesforce-34 has wrong slot configured
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Filip Elias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 09:09 EST by Jan Stastny
Modified: 2016-08-24 07:47 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:47:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4028 Major Resolved adding salesforce-34 resource adapter does not work through the cli 2016-04-21 01:30 EDT

  None (edit)
Description Jan Stastny 2016-03-09 09:09:12 EST
Description of problem:
In DV there is ra with id="salesforce-34" defined. But it should have slot="34" instead of slot="main" in its definition. (Using standalone.xml fragments to describe).

Affected version:
DV 6.3.0 ER1
Comment 1 Van Halbert 2016-03-09 09:20:28 EST
Looking at ER1:

resource-adapter module:

<module xmlns="urn:jboss:module:1.1" name="org.jboss.teiid.resource-adapter.salesforce" slot="34">


standalone.xml:

            <translator name="salesforce-34" module="org.jboss.teiid.translator.salesforce" slot="34"/>


Not sure where you are seeing its not defined in slot=34.
Comment 2 Jan Stastny 2016-03-09 09:28:18 EST
Hi Van,
the slot is wrong with resource-adapter salesforce-34 in standalone.xml: 

<resource-adapter id="salesforce-34">
    <module slot="main" id="org.jboss.teiid.resource-adapter.salesforce"/>
</resource-adapter>

I am sorry for the confusion there.
Comment 3 Van Halbert 2016-03-09 10:25:52 EST
It appears we're running into an EAP issue when a CLI script is run that contains the SLOT, it doesn't recognize it.
Comment 4 JBoss JIRA Server 2016-03-13 17:54:41 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4028 to Resolved

Note You need to log in before you can comment on or make changes to this bug.